Bug 394831 - Tiff thumbnailing causes nautilus 30sec hangs, major slowness and 100% cpu utilisation
Tiff thumbnailing causes nautilus 30sec hangs, major slowness and 100% cpu ut...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libtiff (Show other bugs)
8
All Linux
low Severity urgent
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
http://bugzilla.gnome.org/show_bug.cg...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-21 14:50 EST by David Campbell
Modified: 2015-03-03 17:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-08 17:04:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The tiff file used to recreate this issue (20.64 KB, image/tiff)
2007-11-21 14:50 EST, David Campbell
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 142428 None None None Never
GNOME Desktop 521721 None None None Never

  None (edit)
Description David Campbell 2007-11-21 14:50:56 EST
Description of problem:

Nautilus has major problems viewing directories of tiff files.  It hangs and is
otherwise dreadfully slow even on high performance hardware with lots of RAM. 
This is a serious problem for business users like myself who have a large number
of tiff scans (paperless office).

Version-Release number of selected component (if applicable):

nautilus-2.20.0-6.fc8

How reproducible:

Always

Steps to Reproduce:
1. Make a directory
2. Save the attached file into the directory as tt.tif
3. Run this little script to make another 99 copies of the file:  a=1; while [
$a -lt 100 ]; do cp tt.tif tt$a.tif; a=`expr $a + 1`; done
4. Now view the directory with nautilus and observe the awful slowness
5. Now change the view to list view and observe how dreadful the slowness is
6. Monitor CPU utilisation and watch it up at 100%
7. Also check scrollbar performance

Actual results:

Dreadful slowness / unusability

Expected results:

Reasonable performance
Additional info:
Comment 1 David Campbell 2007-11-21 14:50:56 EST
Created attachment 266281 [details]
The tiff file used to recreate this issue
Comment 2 David Campbell 2007-12-07 14:46:06 EST
This is a thumbnailing problem.  It does not happen when thumbnailing is set
under System/Preferences/Personal/File Management/Preview/Show thumbnails to Never.

Comment 3 Christopher Brown 2008-01-14 23:31:59 EST
I also see this.

Possible upstream bug:

http://bugzilla.gnome.org/show_bug.cgi?id=104224

though patch was accepted before 2.20, see the following thread:

http://mail.gnome.org/archives/nautilus-list/2007-September/msg00002.html

though it possibly only relates to jpeg thumbnailing. I think this might get
more attention on the gnome bugzilla upstream. I can file this as I am able to
reproduce it easily. When I do so I will attach the link to this bug.
Comment 4 David Campbell 2008-02-17 17:26:55 EST
Take a look at http://bugzilla.gnome.org/show_bug.cgi?id=142428

Comment 5 David Campbell 2008-03-11 02:57:25 EDT
I created http://bugzilla.gnome.org/show_bug.cgi?id=521721 to try to speed
things along with this...
Comment 6 Christopher Brown 2008-03-15 14:16:50 EDT
(In reply to comment #5)
> I created http://bugzilla.gnome.org/show_bug.cgi?id=521721 to try to speed
> things along with this...

Sorry to see you're not getting much response from the above but good move in
filing upstream.
Comment 7 Bug Zapper 2008-11-26 03:38:35 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 David Campbell 2008-12-08 17:04:33 EST
I don't see this in F10

Note You need to log in before you can comment on or make changes to this bug.